%define major 3
%define libname %mklibname vde %major
%define develname %mklibname -d vde
%define _disable_ld_no_undefined 1

Name:		vde2
Version:	2.3.2
Release:	%mkrel 6
Summary:	Virtual Distributed Ethernet
Source0:	http://prdownloads.sourceforge.net/vde/%{name}-%{version}.tar.bz2
Source1:	README.mandriva
# Build fixes
# to send upstream
Patch0:		vde-2.2.2-string-format.patch
# some files are under GPLv2 only
License:	GPL v2 and GPL v2+
Group:		Networking/Other
Url:		http://vde.sourceforge.net/
BuildRequires: libopenssl-devel
BuildRequires: python-devel
BuildRequires: libpcap-devel 
Obsoletes:	vde <= 1.5.11
Provides:	vde = %{version}-%{release}
Conflicts:	%develname < 2.2.2-3
# see https://bugs.mageia.org/show_bug.cgi?id=5219
Obsoletes: %mklibname vde 2

%description
VDE is a virtual network that can be spawned over a set of physical
computer over the Internet

VDE connects together:
  (1) real GNU-linux boxes (tuntap)
  (2) virtual machines: UML-User Mode Linux, qemu, bochs, MPS.

VDE can be used:
  (i) to create a general purpose tunnel (every protocol that runs
    on a Ethernet can be put into the tunnel)
  (ii) to connect a set of virtual machine to the Internet with no
    need of free access of tuntap
  (iii) to support mobility: a VDE can stay interconnected despite
    of the change of virtual cables, i.e. the change of IP addresses
    and interface in the real world

%package -n %{libname}
Summary: VDE libraries
Group: Networking/Other

%description -n %{libname}
Library files for VDE

%package -n python-vde
Summary: VDE python module
Group: Networking/Other

%description -n python-vde
Python module for VDE

%package -n %{develname}
Summary: VDE development libraries
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel
Provides: vde-devel = %{version}-%{release}
Provides: libvde-devel = %{version}-%{release}
Provides: libvde2-devel = %{version}-%{release}
Provides: %{_lib}vde2-devel = %{version}-%{release}
Obsoletes: %{_lib}vde2-devel
Conflicts: %name < 2.2.2-3

%description -n %{develname}
Development files (headers, libraries) for libvde

%prep
%setup -q
%patch0 -p0 -b .strfmt
cp %SOURCE1 .

%build
autoreconf -fi
%configure2_5x
# do not work on make -j 24
make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/vde_tunctl
%{_libexecdir}/vdetap
%doc README README.mandriva
%{_mandir}/man*/*.*
%{_sysconfdir}/vde2/libvdemgmt/asyncrecv.rc
%{_sysconfdir}/vde2/libvdemgmt/closemachine.rc
%{_sysconfdir}/vde2/libvdemgmt/openmachine.rc
%{_sysconfdir}/vde2/libvdemgmt/sendcmd.rc
%{_sysconfdir}/vde2/vdecmd
%{_libdir}/vde2/libvde*.so
%{_libdir}/vde2/vde_l3/bfifo.so
%{_libdir}/vde2/vde_l3/pfifo.so
%{_libdir}/vde2/vde_l3/tbf.so

%files -n %{libname}
# use this to make sure that the major is properly incremented
# not fool proof however
%{_libdir}/libvdeplug.so.%major.*
%{_libdir}/libvdeplug.so.%major
%{_libdir}/libvdehist.so.*
%{_libdir}/libvdesnmp.so.*
%{_libdir}/libvdemgmt.so.*

%files -n %{develname}
%{_includedir}/libvde*.h
%{_libdir}/libvde*.so
%{_libdir}/libvde*.*a
%{_libdir}/vde2/libvde*.*a
%{_libdir}/vde2/vde_l3/bfifo.la
%{_libdir}/vde2/vde_l3/pfifo.la
%{_libdir}/vde2/vde_l3/tbf.la
%{_libdir}/pkgconfig/*.pc

%files -n python-vde
%python_sitelib/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.3.2-6.mga3
+ Revision: 385244
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 01 2013 pterjan <pterjan> 2.3.2-5.mga3
+ Revision: 337469
- Fix for _libdir != _libexecdir

* Sat Apr 07 2012 misc <misc> 2.3.2-4.mga2
+ Revision: 229498
- add Obsoletes to have a smoother upgrade
- undo funda last changes

* Sat Apr 07 2012 fwang <fwang> 2.3.2-3.mga2
+ Revision: 229486
- split libs, so that it upgrade smoothly from mga1

* Mon Mar 05 2012 misc <misc> 2.3.2-2.mga2
+ Revision: 219368
- fix major for libvde
- add a macro for the library major

* Mon Mar 05 2012 misc <misc> 2.3.2-1.mga2
+ Revision: 219074
- add python module sub rpm
- add some BR for missing features
- disable make -j 24 as it seems to not work fine
- new version 2.3.2
- rediff patch for format string
- drop patch for linking, not needed anymore

* Sun May 08 2011 cjw <cjw> 2.2.3-1.mga2
+ Revision: 96292
- 2.2.3 (fixes #1084)
- update patch1 + run autoreconf instead of patching Makefile.in

* Sat Apr 30 2011 misc <misc> 2.2.2-5.mga1
+ Revision: 93823
- fix License
- increase Release to match the one of mdv

* Mon Mar 07 2011 saispo <saispo> 2.2.2-1.mga1
+ Revision: 65919
- Back on vde2 2.2.2
- Back on vde2 2.2.2

  + misc <misc>
    - update to 2.3.1
    - remove patch 2, not needed
    - update patch 1, and send it upstream
    - add patch3, to fix another linking issue
    - remove old Obsoletes
    - fix revision
    - imported package vde2

